darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Repository.Flags

# Documentation

data Compression #

Constructors

NoCompression |
GzipCompression |

Instances

Eq Compression # |
Methods (==) :: Compression -> Compression -> Bool # (/=) :: Compression -> Compression -> Bool #
Show Compression # |
Methods showsPrec :: Int -> Compression -> ShowS # show :: Compression -> String # showList :: [Compression] -> ShowS #

data RemoteDarcs #

Constructors

RemoteDarcs String |
DefaultRemoteDarcs |

Instances

Eq RemoteDarcs # |
Methods (==) :: RemoteDarcs -> RemoteDarcs -> Bool # (/=) :: RemoteDarcs -> RemoteDarcs -> Bool #
Show RemoteDarcs # |
Methods showsPrec :: Int -> RemoteDarcs -> ShowS # show :: RemoteDarcs -> String # showList :: [RemoteDarcs] -> ShowS #

remoteDarcs :: RemoteDarcs -> String #

data Reorder #

Constructors

NoReorder |
Reorder |

Instances

Eq Reorder # |
Methods (==) :: Reorder -> Reorder -> Bool # (/=) :: Reorder -> Reorder -> Bool #

data Verbosity #

Constructors

Quiet |
NormalVerbosity |
Verbose |

Instances

Eq Verbosity # |
Methods (==) :: Verbosity -> Verbosity -> Bool # (/=) :: Verbosity -> Verbosity -> Bool #
Show Verbosity # |
Methods showsPrec :: Int -> Verbosity -> ShowS # show :: Verbosity -> String # showList :: [Verbosity] -> ShowS #

data UpdateWorking #

Constructors

YesUpdateWorking |
NoUpdateWorking |

Instances

Eq UpdateWorking # |
Methods (==) :: UpdateWorking -> UpdateWorking -> Bool # (/=) :: UpdateWorking -> UpdateWorking -> Bool #
Show UpdateWorking # |
Methods showsPrec :: Int -> UpdateWorking -> ShowS # show :: UpdateWorking -> String # showList :: [UpdateWorking] -> ShowS #

data UseCache #

Constructors

YesUseCache |
NoUseCache |

Instances

Eq UseCache # |
Methods (==) :: UseCache -> UseCache -> Bool # (/=) :: UseCache -> UseCache -> Bool #
Show UseCache # |
Methods showsPrec :: Int -> UseCache -> ShowS # show :: UseCache -> String # showList :: [UseCache] -> ShowS #

data DryRun #

Constructors

YesDryRun |
NoDryRun |

Instances

Eq DryRun # |
Methods (==) :: DryRun -> DryRun -> Bool # (/=) :: DryRun -> DryRun -> Bool #
Show DryRun # |
Methods showsPrec :: Int -> DryRun -> ShowS # show :: DryRun -> String # showList :: [DryRun] -> ShowS #

data UMask #

Constructors

YesUMask String |
NoUMask |

Instances

Eq UMask # |
Methods (==) :: UMask -> UMask -> Bool # (/=) :: UMask -> UMask -> Bool #
Show UMask # |
Methods showsPrec :: Int -> UMask -> ShowS # show :: UMask -> String # showList :: [UMask] -> ShowS #

data LookForAdds #

Constructors

YesLookForAdds |
NoLookForAdds |

Instances

Eq LookForAdds # |
Methods (==) :: LookForAdds -> LookForAdds -> Bool # (/=) :: LookForAdds -> LookForAdds -> Bool #
Show LookForAdds # |
Methods showsPrec :: Int -> LookForAdds -> ShowS # show :: LookForAdds -> String # showList :: [LookForAdds] -> ShowS #

data LookForReplaces #

Constructors

YesLookForReplaces |
NoLookForReplaces |

Instances

Eq LookForReplaces # |
Methods (==) :: LookForReplaces -> LookForReplaces -> Bool # (/=) :: LookForReplaces -> LookForReplaces -> Bool #
Show LookForReplaces # |
Methods showsPrec :: Int -> LookForReplaces -> ShowS # show :: LookForReplaces -> String # showList :: [LookForReplaces] -> ShowS #

data DiffAlgorithm #

Constructors

PatienceDiff |
MyersDiff |

Instances

Eq DiffAlgorithm # |
Methods (==) :: DiffAlgorithm -> DiffAlgorithm -> Bool # (/=) :: DiffAlgorithm -> DiffAlgorithm -> Bool #
Show DiffAlgorithm # |
Methods showsPrec :: Int -> DiffAlgorithm -> ShowS # show :: DiffAlgorithm -> String # showList :: [DiffAlgorithm] -> ShowS #

data LookForMoves #

Constructors

YesLookForMoves |
NoLookForMoves |

Instances

Eq LookForMoves # |
Methods (==) :: LookForMoves -> LookForMoves -> Bool # (/=) :: LookForMoves -> LookForMoves -> Bool #
Show LookForMoves # |
Methods showsPrec :: Int -> LookForMoves -> ShowS # show :: LookForMoves -> String # showList :: [LookForMoves] -> ShowS #

data RunTest #

Constructors

YesRunTest |
NoRunTest |

Instances

Eq RunTest # |
Methods (==) :: RunTest -> RunTest -> Bool # (/=) :: RunTest -> RunTest -> Bool #
Show RunTest # |
Methods showsPrec :: Int -> RunTest -> ShowS # show :: RunTest -> String # showList :: [RunTest] -> ShowS #

data SetScriptsExecutable #

Constructors

YesSetScriptsExecutable |
NoSetScriptsExecutable |

Instances

Eq SetScriptsExecutable # |
Methods (==) :: SetScriptsExecutable -> SetScriptsExecutable -> Bool # (/=) :: SetScriptsExecutable -> SetScriptsExecutable -> Bool #
Show SetScriptsExecutable # |
Methods showsPrec :: Int -> SetScriptsExecutable -> ShowS # show :: SetScriptsExecutable -> String # showList :: [SetScriptsExecutable] -> ShowS #

data LeaveTestDir #

Constructors

YesLeaveTestDir |
NoLeaveTestDir |

Instances

Eq LeaveTestDir # |
Methods (==) :: LeaveTestDir -> LeaveTestDir -> Bool # (/=) :: LeaveTestDir -> LeaveTestDir -> Bool #
Show LeaveTestDir # |
Methods showsPrec :: Int -> LeaveTestDir -> ShowS # show :: LeaveTestDir -> String # showList :: [LeaveTestDir] -> ShowS #

data RemoteRepos #

Constructors

RemoteRepos [String] |

Instances

Eq RemoteRepos # |
Methods (==) :: RemoteRepos -> RemoteRepos -> Bool # (/=) :: RemoteRepos -> RemoteRepos -> Bool #
Show RemoteRepos # |
Methods showsPrec :: Int -> RemoteRepos -> ShowS # show :: RemoteRepos -> String # showList :: [RemoteRepos] -> ShowS #

data SetDefault #

Constructors

YesSetDefault Bool |
NoSetDefault Bool |

Instances

Eq SetDefault # |
Methods (==) :: SetDefault -> SetDefault -> Bool # (/=) :: SetDefault -> SetDefault -> Bool #
Show SetDefault # |
Methods showsPrec :: Int -> SetDefault -> ShowS # show :: SetDefault -> String # showList :: [SetDefault] -> ShowS #

data UseIndex #

Constructors

UseIndex |
IgnoreIndex |

Instances

Eq UseIndex # |
Methods (==) :: UseIndex -> UseIndex -> Bool # (/=) :: UseIndex -> UseIndex -> Bool #
Show UseIndex # |
Methods showsPrec :: Int -> UseIndex -> ShowS # show :: UseIndex -> String # showList :: [UseIndex] -> ShowS #

data ScanKnown #

Constructors

ScanKnown | Just files already known to darcs
ScanAll | All files, i.e. look for new ones
ScanBoring | All files, even boring ones

Instances

Eq ScanKnown # |
Methods (==) :: ScanKnown -> ScanKnown -> Bool # (/=) :: ScanKnown -> ScanKnown -> Bool #
Show ScanKnown # |
Methods showsPrec :: Int -> ScanKnown -> ShowS # show :: ScanKnown -> String # showList :: [ScanKnown] -> ShowS #

data CloneKind #

Constructors

LazyClone | Just copy pristine and inventories
NormalClone | First do a lazy clone then copy everything
CompleteClone | Same as Normal but omit telling user they can interrumpt

Instances

Eq CloneKind # |
Methods (==) :: CloneKind -> CloneKind -> Bool # (/=) :: CloneKind -> CloneKind -> Bool #
Show CloneKind # |
Methods showsPrec :: Int -> CloneKind -> ShowS # show :: CloneKind -> String # showList :: [CloneKind] -> ShowS #

data AllowConflicts #

Constructors

NoAllowConflicts |
YesAllowConflicts |
YesAllowConflictsAndMark |

Instances

Eq AllowConflicts # |
Methods (==) :: AllowConflicts -> AllowConflicts -> Bool # (/=) :: AllowConflicts -> AllowConflicts -> Bool #
Show AllowConflicts # |
Methods showsPrec :: Int -> AllowConflicts -> ShowS # show :: AllowConflicts -> String # showList :: [AllowConflicts] -> ShowS #

data ExternalMerge #

Constructors

YesExternalMerge String |
NoExternalMerge |

Instances

Eq ExternalMerge # |
Methods (==) :: ExternalMerge -> ExternalMerge -> Bool # (/=) :: ExternalMerge -> ExternalMerge -> Bool #
Show ExternalMerge # |
Methods showsPrec :: Int -> ExternalMerge -> ShowS # show :: ExternalMerge -> String # showList :: [ExternalMerge] -> ShowS #

data WorkRepo #

Constructors

WorkRepoDir String |
WorkRepoPossibleURL String |
WorkRepoCurrentDir |

Instances

Eq WorkRepo # |
Methods (==) :: WorkRepo -> WorkRepo -> Bool # (/=) :: WorkRepo -> WorkRepo -> Bool #
Show WorkRepo # |
Methods showsPrec :: Int -> WorkRepo -> ShowS # show :: WorkRepo -> String # showList :: [WorkRepo] -> ShowS #

data WantGuiPause #

Constructors

YesWantGuiPause |
NoWantGuiPause |

Instances

Eq WantGuiPause # |
Methods (==) :: WantGuiPause -> WantGuiPause -> Bool # (/=) :: WantGuiPause -> WantGuiPause -> Bool #
Show WantGuiPause # |
Methods showsPrec :: Int -> WantGuiPause -> ShowS # show :: WantGuiPause -> String # showList :: [WantGuiPause] -> ShowS #

data WithPatchIndex #

Constructors

YesPatchIndex |
NoPatchIndex |

Instances

Eq WithPatchIndex # |
Methods (==) :: WithPatchIndex -> WithPatchIndex -> Bool # (/=) :: WithPatchIndex -> WithPatchIndex -> Bool #
Show WithPatchIndex # |
Methods showsPrec :: Int -> WithPatchIndex -> ShowS # show :: WithPatchIndex -> String # showList :: [WithPatchIndex] -> ShowS #

data WithWorkingDir #

Constructors

WithWorkingDir |
NoWorkingDir |

Instances

Eq WithWorkingDir # |
Methods (==) :: WithWorkingDir -> WithWorkingDir -> Bool # (/=) :: WithWorkingDir -> WithWorkingDir -> Bool #
Show WithWorkingDir # |
Methods showsPrec :: Int -> WithWorkingDir -> ShowS # show :: WithWorkingDir -> String # showList :: [WithWorkingDir] -> ShowS #

data ForgetParent #

Constructors

YesForgetParent |
NoForgetParent |

Instances

Eq ForgetParent # |
Methods (==) :: ForgetParent -> ForgetParent -> Bool # (/=) :: ForgetParent -> ForgetParent -> Bool #
Show ForgetParent # |
Methods showsPrec :: Int -> ForgetParent -> ShowS # show :: ForgetParent -> String # showList :: [ForgetParent] -> ShowS #

data PatchFormat #

Constructors

PatchFormat1 |
PatchFormat2 |

Instances

Eq PatchFormat # |
Methods (==) :: PatchFormat -> PatchFormat -> Bool # (/=) :: PatchFormat -> PatchFormat -> Bool #
Show PatchFormat # |
Methods showsPrec :: Int -> PatchFormat -> ShowS # show :: PatchFormat -> String # showList :: [PatchFormat] -> ShowS #

data IncludeBoring #

Constructors

YesIncludeBoring |
NoIncludeBoring |

Instances

Eq IncludeBoring # |
Methods (==) :: IncludeBoring -> IncludeBoring -> Bool # (/=) :: IncludeBoring -> IncludeBoring -> Bool #
Show IncludeBoring # |
Methods showsPrec :: Int -> IncludeBoring -> ShowS # show :: IncludeBoring -> String # showList :: [IncludeBoring] -> ShowS #